%global fontname oflb-news-cycle
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0.5
Release:        3.20120807%{?dist}
Summary:        News Cycle font family
License:        OFL

URL:            http://openfontlibrary.org/en/font/news-cycle
Source0:        http://openfontlibrary.org/assets/downloads/news-cycle/d16d9c8311c84dd3d03841e9606a0b0d/news-cycle.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
News Cycle is a realist sans-serif typeface
it's based on specimens from ATF's 1908 News Gothic.

%prep
%setup -q -c %{name}-%{version}
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc *.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Sun Feb 08 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 0.5-3.20120807
- Fixed metainfo.xml

* Sun Feb 08 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 0.5-2.20120807
- Update version from FONTLOG.txt
- Fixed as per review comments

* Thu Feb 05 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 0.1-1.20120807
- Initial version
- Add metainfo file to show this font in gnome-software

